Uploaded image for project: 'OpenMRS Core'
  1. OpenMRS Core
  2. TRUNK-4462

Change failed module's name from org.openmrs.module.xxx x-version to xxx x-version

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Could
    • Resolution: Fixed
    • Affects Version/s: Platform 1.11.0
    • Fix Version/s: Platform 2.0.0
    • Component/s: None
    • Labels:
    • Complexity:
      Low

      Description

      When a module fails to start, it responds with an error message that looks like: "Error while trying to start module
      Module EMR API Module cannot be started because it requires the following module(s): org.openmrs.event 2.1, org.openmrs.module.providermanagement 1.1.3 Please install and start these modules first."

      As a user i would prefer the failed module's name to be changed from org.openmrs.module.xxx x-version, to xxx x-version instead since this is what i will find at the module's repository

      For-example:
      "Error while trying to start module
      Module EMR API Module cannot be started because it requires the following module(s): event 2.1, providermanagement 1.1.3 Please install and start these modules first."

        Attachments

          Activity

            People

            • Assignee:
              rpuzdrowski Radosław Puzdrowski [X] (Inactive)
              Reporter:
              k.joseph Kaweesi Joseph
            • Votes:
              1 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0 minutes
                0m
                Logged:
                Time Spent - 2 hours, 30 minutes
                2h 30m